@extends('admin.layouts.form')

@section('content')
    <div class="container-fluid">
        <div class="block-header">
            <!-- Add any alerts or messages here -->
        </div>

        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header clearfix">
                        <h2 class="pull-left">
                            <i class="material-icons btn btn-sm btn-warning">create</i> <span> &nbsp; Save Expense</span>
                        </h2>
                        <a href="{!! URL::to('module/expense') !!}" class="pull-right">Back to List</a>
                    </div>
                    <div class="body">
                        {!! Form::open(['url' => url('module/expense'), 'class' => 'form']) !!}
                        <div class="row clearfix">
                            <div class="col-xs-12">
                                <label for="">Name</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">category</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::select('restaurant_id',$restaurants, null, ['class' => 'selectpicker', 'data-width'=>'100%', 'placeholder' => 'Restaurant name', 'required'=>'required']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <label for="">Expense Head</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">category</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::select('expense_head_id',$expense_head, null, ['class' => 'selectpicker', 'data-width'=>'100%', 'placeholder' => 'Expense head', 'required'=>'required']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <label for="">Date</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">date_range</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('expense_date', null, ['class' => 'form-control datepicker', 'placeholder' => 'Date..', 'required'=>'required']) !!}
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-12">
                                <label for="">Amount</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">money</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('amount', null, ['class' => 'form-control', 'placeholder' => 'Amount..', 'required'=>'required']) !!}
                                    </div>
                                </div>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="form-group">
                                    {!! Form::submit('Save', ['class'=>'btn btn-success btn-lg btn-block']) !!}
                                </div>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('custom_page_script')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.datepicker').bootstrapMaterialDatePicker({
                format: 'Y-MM-DD',
                clearButton: true,
                weekStart: 1,
                time: false
            });


        })
    </script>
@endsection
