@extends('admin.layouts.form')

@section('content')
    <div class="container-fluid">
        <div class="block-header">
            <h2>
                <i class="material-icons btn btn-sm btn-warning">create</i> <span> &nbsp; Expense Report (Monthly)</span>
            </h2>
        </div>

        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header clearfix">
                        {!! Form::open(['url'=>url('module/expense/monthly_report'),'class'=>'form']) !!}
                        <div class="row">
                            <div class="col-xs-2">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">calendar_month</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('from',request()->from,['class'=>'form-control datepicker', 'placeholder'=>'From date']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-2">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">calendar_month</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('to',request()->to,['class'=>'form-control datepicker', 'placeholder'=>'To date']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-4">
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="material-icons">list</i></span>
                                    {!! Form::select('restaurant_id',$restaurants,request()->restaurant_id,['class'=>'form-control selectpicker']) !!}
                                </div>
                            </div>
                            <div class="col-xs-4">
                                {!! Form::submit('SEARCH',['class'=>'btn btn-md btn-success btn-block']) !!}
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>

                    <div class="body">
                        <table class="table table-striped table-bordered table-hover table-condensed">
                            <thead class="bg-teal">
                            <tr>
                                <th>Particular</th>
                                @foreach($expense_date_list as $month)
                                    <th>{{ \Carbon\Carbon::parse($month . '-01')->format('F Y') }}</th>
                                @endforeach
                            </tr>
                            </thead>
                            <tbody class="font-11">
                            <tr class="font-13 font-bold">
                                <td>Total Cost</td>
                                @foreach($expense_date_list as $month)
                                    <td>
                                        {!! $expenses->filter(function($exp) use($month) {
                                            return \Carbon\Carbon::parse($exp->expense_date)->format('Y-m') == $month;
                                        })->sum('amount') !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr class="font-13 font-bold">
                                <td>Staff Cost</td>
                                @foreach($expense_date_list as $month)
                                    <td>
                                        {!! $expenses->whereIn('expense_head_id', $staff_cost_id)->filter(function($exp) use($month) {
                                            return \Carbon\Carbon::parse($exp->expense_date)->format('Y-m') == $month;
                                        })->sum('amount') !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr class="font-13 font-bold">
                                <td>Food Cost</td>
                                @foreach($expense_date_list as $month)
                                    <td>
                                        {!! $expenses->whereIn('expense_head_id', $food_cost_id)->filter(function($exp) use($month) {
                                            return \Carbon\Carbon::parse($exp->expense_date)->format('Y-m') == $month;
                                        })->sum('amount') !!}
                                    </td>
                                @endforeach
                            </tr>
                            @php
                                $food_cost_heads = $expense_heads->whereIn('id', $food_cost_id);
                            @endphp
                            @foreach($food_cost_heads as $head)
                                <tr class="font-11">
                                    <td class="text-right">{!! $head->head !!}</td>
                                    @foreach($expense_date_list as $month)
                                        <td>
                                            {!! $expenses->whereIn('expense_head_id', $head->id)->filter(function($exp) use($month) {
                                                return \Carbon\Carbon::parse($exp->expense_date)->format('Y-m') == $month;
                                            })->sum('amount') !!}
                                        </td>
                                    @endforeach
                                </tr>
                            @endforeach

                            <tr class="font-13 font-bold">
                                <td>Operation Cost</td>
                                @foreach($expense_date_list as $month)
                                    <td>
                                        {!! $expenses->whereIn('expense_head_id', $operation_cost_id)->filter(function($exp) use($month) {
                                            return \Carbon\Carbon::parse($exp->expense_date)->format('Y-m') == $month;
                                        })->sum('amount') !!}
                                    </td>
                                @endforeach
                            </tr>

                            <tr class="font-13 font-bold">
                                <td class="text-right"> - Office Cost</td>
                                @foreach($expense_date_list as $month)
                                    <td>
                                        {!! $expenses->whereIn('expense_head_id', $office_cost_id)->filter(function($exp) use($month) {
                                            return \Carbon\Carbon::parse($exp->expense_date)->format('Y-m') == $month;
                                        })->sum('amount') !!}
                                    </td>
                                @endforeach
                            </tr>
                            @php
                                $office_cost_heads = $expense_heads->whereIn('id', $office_cost_id);
                            @endphp
                            @foreach($office_cost_heads as $head)
                                <tr class="font-11">
                                    <td class="text-right">{!! $head->head !!}</td>
                                    @foreach($expense_date_list as $month)
                                        <td>
                                            {!! $expenses->whereIn('expense_head_id', $head->id)->filter(function($exp) use($month) {
                                                return \Carbon\Carbon::parse($exp->expense_date)->format('Y-m') == $month;
                                            })->sum('amount') !!}
                                        </td>
                                    @endforeach
                                </tr>
                            @endforeach
                            <tr class="font-13 font-bold">
                                <td class="text-right"> - Marketing Cost</td>
                                @foreach($expense_date_list as $month)
                                    <td>
                                        {!! $expenses->whereIn('expense_head_id', $marketing_cost_id)->filter(function($exp) use($month) {
                                            return \Carbon\Carbon::parse($exp->expense_date)->format('Y-m') == $month;
                                        })->sum('amount') !!}
                                    </td>
                                @endforeach
                            </tr>
                            @php
                                $marketing_cost_heads = $expense_heads->whereIn('id', $marketing_cost_id);
                            @endphp
                            @foreach($marketing_cost_heads as $head)
                                <tr class="font-11">
                                    <td class="text-right">{!! $head->head !!}</td>
                                    @foreach($expense_date_list as $month)
                                        <td>
                                            {!! $expenses->whereIn('expense_head_id', $head->id)->filter(function($exp) use($month) {
                                                return \Carbon\Carbon::parse($exp->expense_date)->format('Y-m') == $month;
                                            })->sum('amount') !!}
                                        </td>
                                    @endforeach
                                </tr>
                            @endforeach

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('custom_page_script')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.datepicker').bootstrapMaterialDatePicker({
                format: 'YYYY-MM-DD',
                clearButton: true,
                weekStart: 1,
                time: false
            });
            $('[data-toggle = tooltip]').tooltip();
        })
    </script>
@endsection
