@extends('admin.layouts.form')

@section('content')
    <div class="container-fluid">
        <div class="block-header">
            <!-- Add any alerts or messages here -->
            <h2>
                <i class="material-icons btn btn-sm btn-warning">create</i> <span> &nbsp; Revenue Report (Daily)</span>
            </h2>
        </div>

        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header clearfix">
                        {!! Form::open(['url'=>url('module/revenue/daily_report'),'class'=>'form']) !!}
                        <div class="row">
                            <div class="col-xs-2">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">calendar_month</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('from',request()->from,['class'=>'form-control datepicker', 'placeholder'=>'From date']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-2">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">calendar_month</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('to',request()->to,['class'=>'form-control datepicker', 'placeholder'=>'To date']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-4">
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="material-icons">list</i></span>
                                    {!! Form::select('restaurant_id',$restaurants,request()->restaurant_id,['class'=>'form-control selectpicker']) !!}
                                </div>
                            </div>
                            <div class="col-xs-4">
                                {!! Form::submit('SEARCH',['class'=>'btn btn-md btn-success btn-block']) !!}
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>

                    <div class="body">

                        <table class="table table-striped table-bordered table-hover table-condensed">
                            <thead class="bg-teal">
                            <tr>
                                <th>Portal</th>
                                <th>Perticular</th>
                                @foreach($date_list as $date)
                                    <th>{!! $date !!}</th>
                                @endforeach
                            </tr>
                            </thead>
                            <tbody class="font-11">


                                <tr>
                                    <td rowspan="10">Revenue Summary</td>
                                </tr>
                                <tr>
                                    <td>Total Revenue</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('revenue_after_commission');
                                            @endphp
                                            {!! $total_revenue !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Physical Store Revenue</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                    if($item['name'] == 'Store'){
                                                        return $item['revenue'];
                                                    }
                                                })->where('revenue_date', $date)->sum('revenue_after_commission');
                                            @endphp
                                            {!! $total_revenue !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Online Revenue After Commission</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                    if($item['name'] != 'Store'){
                                                        return $item['revenue'];
                                                    }
                                                })->where('revenue_date', $date)->sum('revenue_after_commission');
                                            @endphp
                                            {!! $total_revenue !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Physical Store Revenue %</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $store_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                    if($item['name'] == 'Store'){
                                                        return $item['revenue'];
                                                    }
                                                })->where('revenue_date', $date)->sum('revenue_after_commission');

                                                $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('revenue_after_commission');

                                            @endphp
                                            {!! $total_revenue > 0 ? round(($store_revenue/$total_revenue) * 100, 2) : $total_revenue !!} %
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Online Revenue %</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $online_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                    if($item['name'] != 'Store'){
                                                        return $item['revenue'];
                                                    }
                                                })->where('revenue_date', $date)->sum('revenue_after_commission');

                                                $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('revenue_after_commission');

                                            @endphp
                                            {!! $total_revenue > 0 ? round(($online_revenue/$total_revenue) * 100, 2) : $total_revenue !!} %
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Number of Transaction</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('number_of_transaction');
                                            @endphp
                                            {!! $number_of_transaction !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Per Transaction Revenue</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('revenue_after_commission');

                                                $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('number_of_transaction');
                                            @endphp
                                            {!! $number_of_transaction > 0 ? round($total_revenue / $number_of_transaction, 2) : $total_revenue  !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Staff Cost %</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                            $total_expense = $expense->where('expense_date', $date)->sum('amount');
                                            $staff_cost = $expense->whereIn('expense_head_id',$staff_cost_id)->where('expense_date', $date)->sum('amount');
                                            @endphp
                                            {!! $total_expense > 0 ? round(($staff_cost/$total_expense) * 100, 2): $total_expense !!} %
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Food  Cost %</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $total_expense = $expense->where('expense_date', $date)->sum('amount');
                                                $food_cost = $expense->whereIn('expense_head_id',$food_cost_id)->where('expense_date', $date)->sum('amount');
                                            @endphp
                                            {!! $total_expense > 0 ? round(($food_cost/$total_expense) * 100, 2): $total_expense !!} %
                                        </td>
                                    @endforeach
                                </tr>


                                <tr>
                                    <td rowspan="4">Online</td>
                                </tr>
                                <tr>
                                    <td>Number of transaction</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $no_of_transaction_online = collect($sales_portal)->flatMap(function ($item) {
                                                        if($item['name'] != 'Store'){
                                                            return $item['revenue'];
                                                        }
                                                    })->where('revenue_date', $date)->sum('number_of_transaction');
                                            @endphp
                                            {!! $no_of_transaction_online !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Revenue after commission</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $total_revenue_online = collect($sales_portal)->flatMap(function ($item) {
                                                        if($item['name'] != 'Store'){
                                                            return $item['revenue'];
                                                        }
                                                    })->where('revenue_date', $date)->sum('revenue_after_commission');
                                            @endphp
                                            {!! $total_revenue_online !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Per transaction revenue</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php

                                                $no_of_transaction_online = collect($sales_portal)->flatMap(function ($item) {
                                                        if($item['name'] != 'Store'){
                                                            return $item['revenue'];
                                                        }
                                                    })->where('revenue_date', $date)->sum('number_of_transaction');

                                                $total_revenue_online = collect($sales_portal)->flatMap(function ($item) {
                                                        if($item['name'] != 'Store'){
                                                            return $item['revenue'];
                                                        }
                                                    })->where('revenue_date', $date)->sum('revenue_after_commission');


                                            @endphp
                                            {!! $no_of_transaction_online > 0 ? round($total_revenue_online/$no_of_transaction_online, 2) : $total_revenue_online !!}
                                        </td>
                                    @endforeach
                                </tr>

                                @foreach($sales_portal as $portal)
                                    <tr>
                                        <td rowspan="4">{!! $portal->name !!}</td>
                                    </tr>
                                    <tr>
                                        <td>Number of Transaction</td>
                                        @foreach($date_list as $date)
                                            <td>
                                                {!! $portal->revenue->where('revenue_date', $date)->sum('number_of_transaction') !!}
                                            </td>
                                        @endforeach
                                    </tr>
                                    <tr>
                                        <td>Revenue After Commission</td>
                                        @foreach($date_list as $date)
                                            <td>
                                                {!! $portal->revenue->where('revenue_date', $date)->sum('revenue_after_commission') !!}
                                            </td>
                                        @endforeach
                                    </tr>
                                    <tr>
                                        <td>Per transaction revenue</td>
                                        @foreach($date_list as $date)
                                            @php
                                            $total_no_of_transaction = $portal->revenue->where('revenue_date', $date)->sum('number_of_transaction');
                                            $total_revenue_after_commission = $portal->revenue->where('revenue_date', $date)->sum('revenue_after_commission');
                                            @endphp
                                            <td>
                                               {!! $total_no_of_transaction > 0 ? round($total_revenue_after_commission / $total_no_of_transaction) : $total_revenue_after_commission !!}
                                            </td>
                                        @endforeach
                                    </tr>
                                @endforeach

                                <tr>
                                    <td rowspan="12">Cost</td>
                                </tr>
                                <tr>
                                    <td>Total Cost</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            {!! $expense->where('expense_date', $date)->sum('amount') !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Staff Cost</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            {!! $expense->whereIn('expense_head_id',$staff_cost_id)->where('expense_date', $date)->sum('amount') !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Food Cost</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            {!! $expense->wherein('expense_head_id',$food_cost_id)->where('expense_date', $date)->sum('amount') !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Operation Cost</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            {!! $expense->whereIn('expense_head_id', $operation_cost_ids)->filter(function($exp) use($date) {
                                                return \Carbon\Carbon::parse($exp['expense_date'])->format('Y-m-d') == $date;
                                            })->sum('amount') !!}
                                        </td>
                                    @endforeach
                                </tr>

                                <tr>
                                    <td></td>
                                    @foreach($date_list as $date)
                                        <td>
                                            -
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Staff Cost - Per Transection</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                            $staff_cost = $expense->whereIn('expense_head_id',$staff_cost_id)->where('expense_date', $date)->sum('amount');
                                            $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->where('revenue_date', $date)->sum('number_of_transaction');
                                            echo $number_of_transaction > 0 ? round( ($staff_cost/$number_of_transaction) , 2) : $number_of_transaction;
                                            @endphp
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Food Cost - Per Tranjection</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $food_cost = $expense->wherein('expense_head_id',$food_cost_id)->where('expense_date', $date)->sum('amount');
                                                $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('number_of_transaction');
                                                echo $number_of_transaction > 0 ? round( ($food_cost/$number_of_transaction) , 2) : $number_of_transaction;
                                            @endphp
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Operation Cost - Per tranjection</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $operation_cost = $expense->wherein('expense_head_id',$operation_cost_ids)->where('expense_date', $date)->sum('amount');
                                                $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('number_of_transaction');
                                                echo $number_of_transaction > 0 ? round( ($operation_cost/$number_of_transaction) , 2) : $number_of_transaction;
                                            @endphp
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Per Tranjection  Total cost</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $total_cost = $expense->where('expense_date', $date)->sum('amount');
                                                $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('number_of_transaction');
                                                echo $number_of_transaction > 0 ? round( ($total_cost/$number_of_transaction) , 2) : $number_of_transaction;
                                            @endphp
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Per Tranjection Revenue</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('revenue_after_commission');

                                                $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('number_of_transaction');
                                            @endphp
                                            {!! $number_of_transaction > 0 ? round($total_revenue / $number_of_transaction, 2) : $number_of_transaction  !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Per Tranjection Profit</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('revenue_after_commission');

                                                $total_expense = $expense->where('expense_date', $date)->sum('amount');
                                                $gross_profit = $total_revenue - $total_expense;
                                                $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('number_of_transaction');
                                                echo $number_of_transaction > 0 ? round($gross_profit / $number_of_transaction, 2) : $number_of_transaction;
                                            @endphp
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>-</td>
                                    <td>-</td>
                                    <td>-</td>
                                </tr>
                                <tr>
                                    <td>GP</td>
                                    <td>Gross Profit</td>
                                    @foreach($date_list as $date)
                                        <td>
                                            @php
                                                $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                    return $item['revenue'];
                                                })->where('revenue_date', $date)->sum('revenue_after_commission');

                                                $total_expense = $expense->where('expense_date', $date)->sum('amount');
                                            @endphp
                                            {!! $total_revenue - $total_expense !!}
                                        </td>
                                    @endforeach
                                </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('custom_page_script')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.datepicker').bootstrapMaterialDatePicker({
                format: 'Y-MM-DD',
                clearButton: true,
                weekStart: 1,
                time: false
            });
            $('[data-toggle = tooltip]').tooltip();
        })
    </script>
@endsection
