@extends('admin.layouts.form')

@section('content')
    <div class="container-fluid">
        <div class="block-header">
            <!-- Add any alerts or messages here -->
        </div>

        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header clearfix">
                        <h2 class="pull-left">
                            <i class="material-icons btn btn-sm btn-warning">create</i> <span> &nbsp; Update Revenue</span>
                        </h2>
                        <a href="{!! URL::to('module/revenue') !!}" class="pull-right">Back to List</a>
                    </div>
                    <div class="body">
                        {!! Form::model($result, ['url' => url('module/revenue',$result->id), 'class' => 'form']) !!}
                        @method('PATCH')
                        <div class="row clearfix">
                            <div class="col-xs-12">
                                <label for="">Name</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">edit</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::select('restaurant_id',$restaurants, null, ['class' => 'selectpicker', 'data-width'=>'100%', 'placeholder' => 'Restaurant name', 'required'=>'required']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <label for="">Date</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">code</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('revenue_date', null, ['class' => 'form-control datepicker', 'placeholder' => 'Date..', 'required'=>'required']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <label for="">Portal</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">code</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::select('sales_portal_id', $sales_portal, null, ['class' => 'selectpicker', 'data-width'=>'100%', 'placeholder' => 'Sales portal', 'required'=>'required']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <label for="">Number of transaction</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">code</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('number_of_transaction', null, ['class' => 'form-control', 'placeholder' => 'No of transaction..', 'required'=>'required']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <label for="">Revenue after commission</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">code</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('revenue_after_commission', null, ['class' => 'form-control', 'placeholder' => 'Revenue', 'required'=>'required']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="form-group">
                                    {!! Form::submit('UPDATE', ['class'=>'btn btn-success btn-lg btn-block']) !!}
                                </div>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('custom_page_script')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.datepicker').bootstrapMaterialDatePicker({
                format: 'Y-MM-DD',
                clearButton: true,
                weekStart: 1,
                time: false
            });


        })
    </script>
@endsection
