@extends('admin.layouts.form')

@section('content')
    <div class="container-fluid">
        <div class="block-header">
            <h2>
                <i class="material-icons btn btn-sm btn-warning">create</i> <span> &nbsp; Revenue Report (Weekly)</span>
            </h2>
        </div>

        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header clearfix">
                        {!! Form::open(['url'=>url('module/revenue/weekly_report'),'class'=>'form']) !!}
                        <div class="row">
                            <div class="col-xs-2">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">calendar_month</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('from',request()->from,['class'=>'form-control datepicker', 'placeholder'=>'From date']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-2">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">calendar_month</i>
                                    </span>
                                    <div class="form-line">
                                        {!! Form::text('to',request()->to,['class'=>'form-control datepicker', 'placeholder'=>'To date']) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-4">
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="material-icons">list</i></span>
                                    {!! Form::select('restaurant_id',$restaurants,request()->restaurant_id,['class'=>'form-control selectpicker']) !!}
                                </div>
                            </div>
                            <div class="col-xs-4">
                                {!! Form::submit('SEARCH',['class'=>'btn btn-md btn-success btn-block']) !!}
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>

                    <div class="body">
                        <table class="table table-striped table-bordered table-hover table-condensed">
                            <thead class="bg-teal">
                            <tr>
                                <th>Portal</th>
                                <th>Perticular</th>
                                @foreach($week_list as $week)
                                    <th>{!! $week !!}</th>
                                @endforeach
                            </tr>
                            </thead>
                            <tbody class="font-11">
                            <tr>
                                <td rowspan="10">Revenue Summary</td>
                            </tr>
                            <tr>
                                <td>Total Revenue</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission');
                                        @endphp
                                        {!! $total_revenue !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Physical Store Revenue</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                if($item['name'] == 'Store'){
                                                    return $item['revenue'];
                                                }
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission');
                                        @endphp
                                        {!! $total_revenue !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Online Revenue After Commission</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                if($item['name'] != 'Store'){
                                                    return $item['revenue'];
                                                }
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission');
                                        @endphp
                                        {!! $total_revenue !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Physical Store Revenue %</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $store_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                if($item['name'] == 'Store'){
                                                    return $item['revenue'];
                                                }
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission');

                                            $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission');
                                        @endphp
                                        {!! $total_revenue > 0 ? round(($store_revenue/$total_revenue) * 100, 2) : $total_revenue !!} %
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Online Revenue %</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $online_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                if($item['name'] != 'Store'){
                                                    return $item['revenue'];
                                                }
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission');

                                            $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission');
                                        @endphp
                                        {!! $total_revenue > 0 ? round(($online_revenue/$total_revenue) * 100, 2) : $total_revenue !!} %
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Number of Transaction</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('number_of_transaction');
                                        @endphp
                                        {!! $number_of_transaction !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Per Transaction Revenue</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission');

                                            $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('number_of_transaction');
                                        @endphp
                                        {!! $number_of_transaction > 0 ? round($total_revenue / $number_of_transaction, 2) : $total_revenue  !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Staff Cost %</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $total_expense = $expense->filter(function($exp) use($week) {
                                                return \Carbon\Carbon::parse($exp['expense_date'])->format('YW') == $week;
                                            })->sum('amount');
                                            $staff_cost = $expense->whereIn('expense_head_id',$staff_cost_id)->filter(function($exp) use($week) {
                                                return \Carbon\Carbon::parse($exp['expense_date'])->format('YW') == $week;
                                            })->sum('amount');
                                        @endphp
                                        {!! $total_expense > 0 ? round(($staff_cost/$total_expense) * 100, 2): $total_expense !!} %
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Food Cost %</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $total_expense = $expense->filter(function($exp) use($week) {
                                                return \Carbon\Carbon::parse($exp['expense_date'])->format('YW') == $week;
                                            })->sum('amount');
                                            $food_cost = $expense->whereIn('expense_head_id',$food_cost_id)->filter(function($exp) use($week) {
                                                return \Carbon\Carbon::parse($exp['expense_date'])->format('YW') == $week;
                                            })->sum('amount');
                                        @endphp
                                        {!! $total_expense > 0 ? round(($food_cost/$total_expense) * 100, 2): $total_expense !!} %
                                    </td>
                                @endforeach
                            </tr>

                            <tr>
                                <td rowspan="4">Online</td>
                            </tr>
                            <tr>
                                <td>Number of transaction</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $no_of_transaction_online = collect($sales_portal)->flatMap(function ($item) {
                                                if($item['name'] != 'Store'){
                                                    return $item['revenue'];
                                                }
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('number_of_transaction');
                                        @endphp
                                        {!! $no_of_transaction_online !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Revenue after commission</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $total_revenue_online = collect($sales_portal)->flatMap(function ($item) {
                                                if($item['name'] != 'Store'){
                                                    return $item['revenue'];
                                                }
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission');
                                        @endphp
                                        {!! $total_revenue_online !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Per transaction revenue</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $no_of_transaction_online = collect($sales_portal)->flatMap(function ($item) {
                                                if($item['name'] != 'Store'){
                                                    return $item['revenue'];
                                                }
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('number_of_transaction');

                                            $total_revenue_online = collect($sales_portal)->flatMap(function ($item) {
                                                if($item['name'] != 'Store'){
                                                    return $item['revenue'];
                                                }
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission');
                                        @endphp
                                        {!! $no_of_transaction_online > 0 ? round($total_revenue_online/$no_of_transaction_online, 2) : $total_revenue_online !!}
                                    </td>
                                @endforeach
                            </tr>

                            @foreach($sales_portal as $portal)
                                <tr>
                                    <td rowspan="4">{!! $portal->name !!}</td>
                                </tr>
                                <tr>
                                    <td>Number of Transaction</td>
                                    @foreach($week_list as $week)
                                        <td>
                                            {!! $portal->revenue->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('number_of_transaction') !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Revenue After Commission</td>
                                    @foreach($week_list as $week)
                                        <td>
                                            {!! $portal->revenue->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission') !!}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <td>Per transaction revenue</td>
                                    @foreach($week_list as $week)
                                        @php
                                            $total_no_of_transaction = $portal->revenue->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('number_of_transaction');
                                            $total_revenue_after_commission = $portal->revenue->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue['revenue_date'])->format('YW') == $week;
                                            })->sum('revenue_after_commission');
                                        @endphp
                                        <td>
                                            {!! $total_no_of_transaction > 0 ? round($total_revenue_after_commission / $total_no_of_transaction) : $total_revenue_after_commission !!}
                                        </td>
                                    @endforeach
                                </tr>
                            @endforeach

                            <tr>
                                <td rowspan="12">Cost</td>
                            </tr>
                            <tr>
                                <td>Total Cost</td>
                                @foreach($week_list as $week)
                                    <td>
                                        {!! $expense->filter(function($exp) use($week) {
                                            return \Carbon\Carbon::parse($exp['expense_date'])->format('YW') == $week;
                                        })->sum('amount') !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Staff Cost</td>
                                @foreach($week_list as $week)
                                    <td>
                                        {!! $expense->whereIn('expense_head_id',$staff_cost_id)->filter(function($exp) use($week) {
                                            return \Carbon\Carbon::parse($exp['expense_date'])->format('YW') == $week;
                                        })->sum('amount') !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Food Cost</td>
                                @foreach($week_list as $week)
                                    <td>
                                        {!! $expense->whereIn('expense_head_id',$food_cost_id)->filter(function($exp) use($week) {
                                            return \Carbon\Carbon::parse($exp['expense_date'])->format('YW') == $week;
                                        })->sum('amount') !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Operation Cost</td>
                                @foreach($week_list as $week)
                                    <td>
                                        {!! $expense->whereIn('expense_head_id', $operation_cost_ids)->filter(function($exp) use($week) {
                                            return \Carbon\Carbon::parse($exp['expense_date'])->format('oW') == $week;
                                        })->sum('amount') !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td></td>
                                @foreach($week_list as $week)
                                    <td>
                                        {!! 0 !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Staff Cost - Per Transaction</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $staff_cost = $expense->whereIn('expense_head_id',$staff_cost_id)->filter(function($exp) use($week) {
                                                return \Carbon\Carbon::parse($exp->expense_date)->format('oW') == $week;
                                            })->sum('amount');
                                            $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue->revenue_date)->format('oW') == $week;
                                            })->sum('number_of_transaction');
                                            echo $number_of_transaction > 0 ? round( ($staff_cost/$number_of_transaction) , 2) : $number_of_transaction;
                                        @endphp
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Food Cost - Per Transaction</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $food_cost = $expense->whereIn('expense_head_id',$food_cost_id)->filter(function($exp) use($week) {
                                                return \Carbon\Carbon::parse($exp->expense_date)->format('oW') == $week;
                                            })->sum('amount');
                                            $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue->revenue_date)->format('oW') == $week;
                                            })->sum('number_of_transaction');
                                            echo $number_of_transaction > 0 ? round( ($food_cost/$number_of_transaction) , 2) : $number_of_transaction;
                                        @endphp
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Operation Cost - Per Transaction</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $operation_cost = $expense->whereIn('expense_head_id',$operation_cost_ids)->filter(function($exp) use($week) {
                                                return \Carbon\Carbon::parse($exp->expense_date)->format('oW') == $week;
                                            })->sum('amount');
                                            $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue->revenue_date)->format('oW') == $week;
                                            })->sum('number_of_transaction');
                                            echo $number_of_transaction > 0 ? round( ($operation_cost/$number_of_transaction) , 2) : $number_of_transaction;
                                        @endphp
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Per Transaction Total cost</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $total_cost = $expense->filter(function($exp) use($week) {
                                                return \Carbon\Carbon::parse($exp->expense_date)->format('oW') == $week;
                                            })->sum('amount');
                                            $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                            return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue->revenue_date)->format('oW') == $week;
                                            })->sum('number_of_transaction');
                                            echo $number_of_transaction > 0 ? round( ($total_cost/$number_of_transaction) , 2) : $number_of_transaction;
                                        @endphp
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Per Transaction Revenue</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue->revenue_date)->format('oW') == $week;
                                            })->sum('revenue_after_commission');

                                            $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue->revenue_date)->format('oW') == $week;
                                            })->sum('number_of_transaction');
                                        @endphp
                                        {!! $number_of_transaction > 0 ? round($total_revenue / $number_of_transaction, 2) : $number_of_transaction  !!}
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>Per Transaction Profit</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue->revenue_date)->format('oW') == $week;
                                            })->sum('revenue_after_commission');

                                            $total_expense = $expense->filter(function($exp) use($week) {
                                                return \Carbon\Carbon::parse($exp->expense_date)->format('oW') == $week;
                                            })->sum('amount');
                                            $gross_profit = $total_revenue - $total_expense;
                                            $number_of_transaction = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue->revenue_date)->format('oW') == $week;
                                            })->sum('number_of_transaction');
                                            echo $number_of_transaction > 0 ? round($gross_profit / $number_of_transaction, 2) : $number_of_transaction;
                                        @endphp
                                    </td>
                                @endforeach
                            </tr>

                            <tr>
                                <td>-</td>
                                <td>-</td>
                                @foreach($week_list as $week)
                                    <td>
                                        -
                                    </td>
                                @endforeach
                            </tr>
                            <tr>
                                <td>GP</td>
                                <td>Gross Profit</td>
                                @foreach($week_list as $week)
                                    <td>
                                        @php
                                            $total_revenue = collect($sales_portal)->flatMap(function ($item) {
                                                return $item['revenue'];
                                            })->filter(function($revenue) use($week) {
                                                return \Carbon\Carbon::parse($revenue->revenue_date)->format('oW') == $week;
                                            })->sum('revenue_after_commission');

                                            $total_expense = $expense->filter(function($exp) use($week) {
                                                return \Carbon\Carbon::parse($exp->expense_date)->format('oW') == $week;
                                            })->sum('amount');
                                        @endphp
                                        {!! $total_revenue - $total_expense !!}
                                    </td>
                                @endforeach
                            </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('custom_page_script')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.datepicker').bootstrapMaterialDatePicker({
                format: 'Y-MM-DD',
                clearButton: true,
                weekStart: 1,
                time: false
            });
            $('[data-toggle = tooltip]').tooltip();
        })
    </script>
@endsection
