<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\Admin;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\BankController;
use App\Http\Controllers\BankStatementController;
use App\Http\Controllers\ClientController;

use App\Http\Controllers\CreditAccountController;
use App\Http\Controllers\ExpenseController;
use App\Http\Controllers\RevenueController;
use App\Http\Controllers\WorkOrderController;


Route::get('/', [AuthController::class, 'index']);
Route::any('admin', [Admin::class, 'index']);
Route::post('/login',[AuthController::class, 'login']);
Route::get('/logout',[AuthController::class, 'logout']);


Route::group(['prefix'=>'module'],function(){

    Route::any('revenue/daily_report',[RevenueController::class, 'daily_report']);
    Route::any('revenue/weekly_report',[RevenueController::class, 'weekly_report']);
    Route::any('revenue/monthly_report',[RevenueController::class, 'monthly_report']);
    Route::resource('revenue', RevenueController::class);


    Route::any('expense/daily_report', [ExpenseController::class, 'daily_report']);
    Route::any('expense/weekly_report', [ExpenseController::class, 'weekly_report']);
    Route::any('expense/monthly_report', [ExpenseController::class, 'monthly_report']);
    Route::resource('expense', ExpenseController::class);


});




